#jinja2: lstrip_blocks: True, trim_blocks: True
Defaults:{{ gitlab_runner_user_name }} setenv,!env_reset,!requiretty
Defaults:{{ gitlab_runner_user_name }} logfile=/var/log/{{ gitlab_runner_user_name }}-sudo.log
{% if gitlab_runner_sudoers_secure_paths is defined and gitlab_runner_sudoers_secure_paths|length >0 %}
Defaults:{{ gitlab_runner_user_name }} secure_path={{ gitlab_runner_sudoers_secure_paths|join(':') }}
{% endif %}
{{ gitlab_runner_user_name }} ALL=(ALL) !ALL
## * SETENV and NOSETENV     - these tags override the value of the setenv option on a per-command basis. Note that if
##                             SETENV has been set for a command, the user may disable the env_reset option from the
##                             command line via the -E option. Additionally, environment variables set on the command
##                             line are not subject to the restrictions imposed by env_check, env_delete, or env_keep.
##                             As such, only trusted users should be allowed to set variables in this manner. If the
##                             command matched is ALL, the SETENV tag is implied for that command; this default may be
##                             overridden by use of the NOSETENV tag.
{{ gitlab_runner_user_name }} ALL=(ALL) NOPASSWD:SETENV: {{ gitlab_runner_sudoers_allowed_commands|join(',') }}
